#!/bin/bash

VALID_ARGS=$(getopt -o s: --long subject: -- "$@")
# shellcheck disable=SC2181
if [[ ${?} -ne 0 ]]; then
    exit 1;
fi

usage () {
  echo "${0}: -s|--subject  <subject>"
  exit 1
}

eval set -- "${VALID_ARGS}"
# shellcheck disable=SC2078
while [ : ]; do
  case "$1" in
    -s | --subject)
        subject="${2}"
        shift 2
        ;;
    *)
      break
      ;;
  esac
done

if [[ -z ${subject} ]]; then
  usage
fi

id=$(/root/tasks/announce.sh --get | xmlstarlet sel -t  -i '//subject="'"${subject}"'"' -m "/ocs/data/element/id" -v .)
if [[ -n ${id} ]]; then
  /root/tasks/announce.sh --delete --id "${id}"
fi
